
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Segmentation pipelines &#8212; seg_compare 0.0.1 documentation</title>
    <link rel="stylesheet" href="../_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script src="../_static/language_data.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="nav-item nav-item-0"><a href="../index.html">seg_compare 0.0.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Segmentation pipelines</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="segmentation-pipelines">
<h1>Segmentation pipelines<a class="headerlink" href="#segmentation-pipelines" title="Permalink to this headline">¶</a></h1>
<p>The steps of a generic deep learning based segmentation pipeline is shown below.</p>
<div align="center">
<img src="../_static/seg_pipeline.png" alt=general pipeline" width="1000" height="250"/>
<figcaption>Schematic diagram a generic deep learning based segmentation pipeline</figcaption>
</div>
<p>Non-deep learning segmentation pipelines do not need the training step.
Detailed information is provided below for running each of the pipelines either for retraining or using the models directly for segmentation. The training datasets and Python environments for running each of the pipelines are also provided.</p>
</div>
<div class="section" id="list-of-pipelines">
<h1>List of pipelines<a class="headerlink" href="#list-of-pipelines" title="Permalink to this headline">¶</a></h1>
<ul class="simple">
<li><p><span class="xref myst">MARS</span></p></li>
<li><p><span class="xref myst">PlantSeg</span></p></li>
<li><p><span class="xref myst">UNet + Watershed</span></p></li>
<li><p><span class="xref myst">CellPose</span></p></li>
<li><p><span class="xref myst">Mask RCNN + Watershed</span></p></li>
</ul>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">Segmentation pipelines</a></li>
<li><a class="reference internal" href="#list-of-pipelines">List of pipelines</a></li>
</ul>

  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/descriptions/pipeline.md.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="nav-item nav-item-0"><a href="../index.html">seg_compare 0.0.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Segmentation pipelines</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Anuradha Kar.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 3.2.1.
    </div>
  </body>
</html>